#pragma once

#include <engine/types.h>

namespace engine::input {
enum class AbsoluteAxis : u8
{
  LeftX = 0x00,
  LeftY = 0x01,
  LeftZ = 0x02,
  RightX = 0x03,
  RightY = 0x04,
  RightZ = 0x05,
  Throttle = 0x06,
  Rudder = 0x07,
  Wheel = 0x08,
  Gas = 0x09,
  Break = 0x0a,
  Hat0X = 0x10,
  Hat0Y = 0x11,
  Hat1X = 0x12,
  Hat1Y = 0x13,
  Hat2X = 0x14,
  Hat2Y = 0x15,
  Hat3X = 0x16,
  Hat3Y = 0x17,
  Pressure = 0x18,
  Distance = 0x19,
  TiltX = 0x1a,
  TiltY = 0x1b,
  ToolWidth = 0x1c,
  Volume = 0x20,
  Miscellaneous = 28,
  Reserved = 0x2e,
  MultiTouchSlot = 0x2f,
  MultiTouchTouchMajor = 0x30,
  MultiTouchTouchMinor = 0x31,
  MultiTouchWidthMajor = 0x32,
  MultiTouchWidthMinor = 0x33,
  MultiTouchOrientation = 0x34,
  MultiTouchPositionX = 0x35,
  MultiTouchPositionY = 0x36,
  MultiTouchToolType = 0x37,
  MultiTouchBlobId = 0x38,
  MultiTouchTrackingId = 0x39,
  MultiTouchPressure = 0x3a,
  MultiTouchDistance = 0x3b,
  MultiTouchToolX = 0x3c,
  MultiTouchToolY = 0x3d,
  Max = 0x3f,
  Count = AbsoluteAxis::Max + 0x01,
};
} // namespace engine::input